jQuery Date Picker View Helper

uses |
package | ZendX_JQuery
subpackage | View
copyright | Copyright (c) 2005-2014 Zend Technologies USA Inc. (http://www.zend.com)
license | New BSD License
inherited_from | \ZendX_JQuery_View_Helper_UiWidget

### Methods

## Create a jQuery UI Widget Date Picker

    datePicker(string $id, string $value = null, array $params = array(), array $attribs = array()) : string

link | http://docs.jquery.com/UI/Datepicker

### Parameters

#### $id

`string`

#### $value

`string`

#### $params

`array`

jQuery Widget Parameters

#### $attribs

`array`

HTML Element Attributes

### Returns

`string`

## A Check for Zend_Locale existance has already been done in {@link datePicker()} this function only resolves the default format from Zend Locale to a jQuery Date Picker readable format. This function can be potentially buggy because of its easy nature and is therefore stripped from the core functionality to be easily overriden.

    resolveZendLocaleToDatePickerFormat(string $format = null) : string

Static

### Parameters

#### $format

`string`

### Exceptions

`\ZendX_JQuery_Exception` |

### Returns

`string`

## Set view and enable jQuery Core and UI libraries

    setView(\Zend_View_Interface $view) : \ZendX_JQuery_View_Helper_Widget

Inherited

### Parameters

#### $view

`\Zend_View_Interface`

### Returns

`\ZendX_JQuery_View_Helper_Widget`

## Helps with building the correct Attributes Array structure.

    _prepareAttributes(String $id, String $value, Array $attribs) : Array

Inherited

### Parameters

#### $id

`String`

#### $value

`String`

#### $attribs

`Array`

### Returns

`Array`$attribs

### Properties

## Contains reference to the jQuery view helper

    $jquery : \ZendX_JQuery_View_Helper_JQuery_Container

### Default